%define version 3.50
%define release %mkrel 8
%define major 0
%define libname %mklibname pstoedit %{major}
%define develname %mklibname pstoedit -d

Summary:	Translates PostScript/PDF graphics into other vector formats
Name:		pstoedit
Version:	%{version}
Release:	%{release}
License:	GPLv2
Source: 	http://prdownloads.sourceforge.net/pstoedit/pstoedit-%{version}.tar.xz
Patch1: 	pstoedit-3.50-module-build.patch
URL:		http://www.pstoedit.net/pstoedit
Group:		Graphics
BuildRequires:	bison
BuildRequires:	ghostscript
BuildRequires:  imagemagick-devel
BuildRequires:	%{_lib}plotutils-devel
BuildRequires:	multiarch-utils
BuildRequires:	%{_lib}xmu-static-devel
Requires:	%{libname} = %{version}
BuildConflicts:	ming-devel

%description
pstoedit translates PostScript and PDF graphics into other vector formats.
Currently pstoedit can generate the following formats:

	- Tgif .obj format (for tgif version >= 3)
	- fig format for xfig
	- pdf Adobe Portable Document Format
	- gnuplot format
	- Flattened PostScript (with or without Bezier curves)
	- DXF - CAD exchange format
	- LWO - LightWave 3D
	- RIB - RenderMan
	- RPL - Real3D
	- Idraw format (a special format of EPS that Idraw can read)
	- Tcl/Tk
	- HPGL
	- AI - Adobe Illustrator Format (based on ps2ai.ps, not a real pstoedit)
	- WMF - Windows Meta Files
	- PIC format for troff/groff
	- MetaPost format per usage with TeX/LaTeX
	- LaTeX2e picture
	- Kontour
	- GNU Metafile (plotutils/libplot)
	- Sketch (http://sketch.sourceforge.net)
	- Mathematica
	- trough ImageMagick to any format supported by ImageMagick

%package -n %{libname}
Summary:	Pstoedit libraries
Group:		System/Libraries

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with pstoedit libraries.

%package -n %{develname}
Summary:	Static libraries and header files for pstoedit development
Group:		Development/Libraries
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%{_lib}pstoedit0-devel < %{version}-%{release}

%description -n %{develname}
If you want to create applications that will use pstoedit code or
APIs, you'll need to install these packages as well as pstoedit. This
additional package isn't necessary if you simply want to use pstoedit.

%prep
%setup -q
%patch1 -p1 -b .link

# clean up permissions
find -type f -perm +111 | xargs -r file | grep -v script | cut -d: -f1| xargs -r chmod 0644

%build
# needed because of definitions in imagemagick headers that break with -pedantic
sed -ie 's/-pedantic//' configure
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -D -m 644 doc/pstoedit.1 %{buildroot}%{_mandir}/man1/pstoedit.1

# remove unneeded files
find %{buildroot} -name *.la | xargs rm

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/changelog.htm doc/index.htm doc/readme.txt
%doc readme.install examples
%{_bindir}/pstoedit
%{_datadir}/pstoedit
%{_mandir}/man1/*.1*

%files -n %{libname}
%defattr(-,root,root,755)
%{_libdir}/*.so.*
%{_libdir}/pstoedit/*.so

%files -n %{develname}
%defattr(-,root,root)
%doc doc/pstoedit.htm
%{_includedir}/pstoedit
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4


%changelog
* Sat Nov 05 2016 adrianomorselli <adrianomorselli> 3.50-8uplos2016
- rebuild

* Tue May 10 2016 woodhead <pp> 3.50-8pclos2016
- rebuild against updated ImageMagick

* Sun Feb 24 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 3.50-7pclos2013
- rebuild against libmagick6
- added BR libxmu-static-devel

* Sat Oct 22 2011 Texstar <texstar at gmail.com> 3.50-6pclos2011
- update for 64bit
